Convert wallet money

Convert wallet by the given data.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

The payload reqyest of the convert amount between two wallet feature.

originalWalletIdstring · min: 1Required

The id of the original wallet.

targetWalletIdstring · min: 1Required

The id of the target wallet.

feenumber · double · nullableOptional

The fee of the convert.

totalAmountnumber · doubleRequired

The total amount convert.

Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

databooleanRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/wallets/convert

Last updated